image: python:latest
pages:
  stage: deploy
  script:
    - pip install mkdocs-material pymdown-extensions mkdocs-glightbox \
      mkdocs-awesome-pages-plugin mdx_truly_sane_lists \
      mkdocs-git-revision-date-localized-plugin mkdocs_puml
    - python3 .admin/gitbook2mkdocs.py -p
    - mkdocs build --site-dir public
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
    